from HTMLParser import HTMLParser, HTMLParseError
from sys import argv
from urllib2 import urlopen, URLError, HTTPError

class BungieParser(HTMLParser):
    EXP = 'ctl00_mainContent_identityStrip_lblTotalRP'
    NEXT_RANK = 'ctl00_mainContent_identityStrip_hypNextRank'
    RANK = 'ctl00_mainContent_identityStrip_lblRank'
    SKILL = 'ctl00_mainContent_identityStrip_lblSkill'

    last_id = ''
    stats = {EXP:'N/A', NEXT_RANK:'N/A', RANK:'Acquire Fail', SKILL:'N/A'}
           
    def __init__(self, url):
        HTMLParser.__init__(self)
        
        try:
            response = urlopen(url)
            self.feed(response.read())
        except(URLError, HTTPError, HTMLParseError):
            pass
    
    def handle_starttag(self, tag, attrs):
        for key, value in attrs:
            if key == 'id':
                self.last_id = value
        
    def handle_data(self, data):
        if self.last_id in self.stats:
            self.stats[self.last_id] = data
            self.last_id = ''   # clear so if doesn't auto fire on next data
    
    def export_stats(self):
        return self.stats[self.RANK] + '-' + self.stats[self.SKILL] + '-' + \
               self.stats[self.EXP] + '-' + self.stats[self.NEXT_RANK]

bp = BungieParser(argv[1])
print bp.export_stats()